string sl = Console.ReadLine();
            string c1 = sl.Substring(0, 1);
            string c2 = sl.Substring(1);
            string br = Console.ReadLine();
            string br1 = br.Substring(0, 1);
            string br2 = br.Substring(2);
           int a1 = Convert.ToInt32(br1);
            int a2 = Convert.ToInt32(br2);
            string x;
            if(a1 == 1 && a2 == 1)
            {
                x = c1 + c2;
                Console.WriteLine(x);
            }
            if (a1 == 1 && a2 == 2)
            {
                x = c2 + c1 + c2;
                Console.WriteLine(x);
            }
            if (a1 == 1 && a2 == 3)
            {
                Console.WriteLine("nemoguce");
            }
            if (a1 == 2 && a2 == 1)
            {
                x = c1 + c2 + c1;
                Console.WriteLine(x);
            }
            if (a1 == 2 && a2 == 2)
            {
                x = c1 + c2 + c1 + c2;
                Console.WriteLine(x);
            }
            if (a1 == 2 && a2 == 3)
            {
                x = c2 + c1 + c2 + c1 + c2;
                Console.WriteLine(x);
            }
            if (a1 == 3 && a2 == 1)
            {
                Console.WriteLine("nemoguce");
            }
            if (a1 == 3 && a2 == 2)
            {
                x =c1 + c2 + c1 + c2 + c1;
                Console.WriteLine(x);
            }
            if (a1 == 3 && a2 == 3)
            {
                x = c1 + c2 + c1 + c2 + c1 + c2;
                Console.WriteLine(x);
            }